OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.ATI.DrawBuffers

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetATIDrawBuffers :: MonadIO m => m Bool
- gl_ATI_draw_buffers :: Bool
- gl_DRAW_BUFFER0_ATI :: GLenum
- gl_DRAW_BUFFER10_ATI :: GLenum
- gl_DRAW_BUFFER11_ATI :: GLenum
- gl_DRAW_BUFFER12_ATI :: GLenum
- gl_DRAW_BUFFER13_ATI :: GLenum
- gl_DRAW_BUFFER14_ATI :: GLenum
- gl_DRAW_BUFFER15_ATI :: GLenum
- gl_DRAW_BUFFER1_ATI :: GLenum
- gl_DRAW_BUFFER2_ATI :: GLenum
- gl_DRAW_BUFFER3_ATI :: GLenum
- gl_DRAW_BUFFER4_ATI :: GLenum
- gl_DRAW_BUFFER5_ATI :: GLenum
- gl_DRAW_BUFFER6_ATI :: GLenum
- gl_DRAW_BUFFER7_ATI :: GLenum
- gl_DRAW_BUFFER8_ATI :: GLenum
- gl_DRAW_BUFFER9_ATI :: GLenum
- gl_MAX_DRAW_BUFFERS_ATI :: GLenum
- glDrawBuffersATI :: MonadIO m => GLsizei -> Ptr GLenum -> m ()

# Extension Support

glGetATIDrawBuffers :: MonadIO m => m Bool

Is the ATI_draw_buffers extension supported?

gl_ATI_draw_buffers :: Bool

Is the ATI_draw_buffers extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetATIDrawBuffers` in those cases instead.

# Enums

gl_DRAW_BUFFER0_ATI :: GLenum

gl_DRAW_BUFFER10_ATI :: GLenum

gl_DRAW_BUFFER11_ATI :: GLenum

gl_DRAW_BUFFER12_ATI :: GLenum

gl_DRAW_BUFFER13_ATI :: GLenum

gl_DRAW_BUFFER14_ATI :: GLenum

gl_DRAW_BUFFER15_ATI :: GLenum

gl_DRAW_BUFFER1_ATI :: GLenum

gl_DRAW_BUFFER2_ATI :: GLenum

gl_DRAW_BUFFER3_ATI :: GLenum

gl_DRAW_BUFFER4_ATI :: GLenum

gl_DRAW_BUFFER5_ATI :: GLenum

gl_DRAW_BUFFER6_ATI :: GLenum

gl_DRAW_BUFFER7_ATI :: GLenum

gl_DRAW_BUFFER8_ATI :: GLenum

gl_DRAW_BUFFER9_ATI :: GLenum

gl_MAX_DRAW_BUFFERS_ATI :: GLenum

# Functions

glDrawBuffersATI

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLenum | `bufs` pointing to `n` elements of type `DrawBufferModeATI`.
-> m () |

This command is an alias for `glDrawBuffers`.